Create S3 bucket CORS
curl --request POST \
--url https://api.gcore.com/storage/provisioning/v1/storage/{storage_id}/s3/bucket/{bucket_name}/cors \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"allowedOrigins": [
"https://example.com",
"https://app.example.com",
"*"
]
}
'import requests
url = "https://api.gcore.com/storage/provisioning/v1/storage/{storage_id}/s3/bucket/{bucket_name}/cors"
payload = { "allowedOrigins": ["https://example.com", "https://app.example.com", "*"] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({allowedOrigins: ['https://example.com', 'https://app.example.com', '*']})
};
fetch('https://api.gcore.com/storage/provisioning/v1/storage/{storage_id}/s3/bucket/{bucket_name}/cors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"error": "<string>"
}Storage
Create S3 bucket CORS
deprecated
Configures Cross-Origin Resource Sharing (CORS) rules for an S3 bucket, allowing web applications from specified domains to access bucket resources directly from browsers.
Deprecated: Use PATCH /v4/`object_storages`/{`storage_id`}/buckets/{`bucket_name`} with {"cors": {"allowed_origins": [...]}} instead.
POST
/
storage
/
provisioning
/
v1
/
storage
/
{storage_id}
/
s3
/
bucket
/
{bucket_name}
/
cors
Create S3 bucket CORS
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Unique identifier for the storage instance
Name of the S3 bucket to configure CORS for
Body
application/json
CORS configuration for the bucket
List of allowed origins for CORS requests
Example:
[
"https://example.com",
"https://app.example.com",
"*"
]
Response
Was this page helpful?
⌘I